SGE_QMASTER(8)

NAME
sge_qmaster - Grid Engine master control daemon

SYNOPSIS
sge_qmaster [ -help ]

DESCRIPTION
sge_qmaster controls the overall Grid Engine behavior in a cluster.

OPTIONS

-help
    Prints a listing of all options.

ENVIRONMENT VARIABLES

SGE_ROOT
    Specifies the location of the Grid Engine standard configuration files.

SGE_CELL
    If set, specifies the default Grid Engine cell. To address a Grid Engine cell sge_qmaster uses (in order of precedence):

        The name of the cell specified in the environment variable SGE_CELL, if it is set.

        The name of the default cell, i.e. default.

SGE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition, the level of detail in which debug information is generated is defined by the defined value.

SGE_DEBUG_LEVEL
    If set, the qmaster will not daemonize.

SGE_QMASTER_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry for the service "sge_qmaster" instead to define that port.

SGE_EXECD_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry for the service "sge_execd" instead to define that port.

SGE_TEST_DELAY_SCHEDULING
    If set, specifies a delay in (integral seconds) before a scheduling run, for test purposes.

SGE_ND
    If set, don't daemonize the program (for debugging).

SGE_ENABLE_COREDUMP
    If set, enable core dumps on Linux when the admin_user is not root. Linux normally disables core dumps when the daemon has changed uid or gid. Setting SGE_ENABLE_COREDUMP in sge_qmaster's environment defeats that to enable core dumps for debugging if they are otherwise allowed. This is typically not a big hazard with SGE, since most information is exposed in the spool area anyhow. Dumps will appear in the host spool directory.
    On Solaris, may be used to enable such dumps.

SGE_QMASTER_PIDFILE
    Path name of file to which to write the daemon process id at startup (default "qmaster.pid"). Note that this must be writable by the admin user (see

RESTRICTIONS
sge_qmaster is usually started from root on the master or shadow master machines of the cluster. If started by a normal user, a master spool directory must be used to which the user has read/write access. In this case only jobs being submitted by that same user are handled correctly by the system.

FILES
<sge_root>/<cell>/common/configuration
	Grid Engine global configuration
<sge_root>/<cell>/common/local_conf/<host>
	Grid Engine host specific configuration
<sge_root>/<cell>/common/qmaster_args
	sge_qmaster argument file
<sge_root>/<cell>/spool
	Default master spool directory

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.